For the complete documentation index, see llms.txt. This page is also available as Markdown.

Epoch

Epoch and validator scoring information

Get epoch scores for all validators

get
/api/epoch/score

Retrieve mining scores for all validators in the current epoch

Responses
200

Epoch scores

application/json
objectOptional
get/api/epoch/score
GET /api/epoch/score HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Epoch scores

{}

Get epoch score for validator

get
/api/epoch/score/{pk}

Retrieve mining score for a specific validator

Path parameters
pkstringRequired

Validator public key (Base58 encoded)

Responses
200

Validator epoch score

application/json
objectOptional
get/api/epoch/score/{pk}
GET /api/epoch/score/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Validator epoch score

{}

Get emission address for validator

get
/api/epoch/get_emission_address/{pk}

Retrieve the emission (reward) address for a validator

Path parameters
pkstringRequired

Validator public key (Base58 encoded)

Responses
200

Emission address

application/json
errorstringOptionalExample: ok
emission_addressstringOptional
get/api/epoch/get_emission_address/{pk}
GET /api/epoch/get_emission_address/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Emission address

{
  "error": "ok",
  "emission_address": "text"
}

Check if solution is in epoch

get
/api/epoch/sol_in_epoch/{epoch}/{sol_hash}

Verify if a specific proof-of-work solution was submitted in an epoch

Path parameters
epochintegerRequired

Epoch number

sol_hashstringRequired

Solution hash (Base58 encoded)

Responses
200

Solution verification result

application/json
objectOptional
get/api/epoch/sol_in_epoch/{epoch}/{sol_hash}
GET /api/epoch/sol_in_epoch/{epoch}/{sol_hash} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Solution verification result

{}

Last updated